Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document
Class GraphicalLabel

    java.lang.Object
      info.bioinfweb.treegraph.document.ConcretePaintableElement
          info.bioinfweb.treegraph.document.Label
              info.bioinfweb.treegraph.document.GraphicalLabel

All Implemented Interfaces:
  PaintableElement, TreeElement, Cloneable

Direct Known Subclasses:
  IconLabel, PieChartLabel

    public abstract class GraphicalLabel

extends Label

Abstract precursor of all graphical labels which allows to independently access the graphical label formats.

Since:
  2.0.43
Author:
  Ben Stöver

Field Summary

Fields inherited from class info.bioinfweb.treegraph.document.ConcretePaintableElement
`positions`

Constructor Summary
`GraphicalLabel(Labels labels)`

Method Summary
`abstract GraphicalLabelFormats` | `getFormats()`

Methods inherited from class info.bioinfweb.treegraph.document.Label
`assignLabelData, clone, getAbove, getBelow, getHoldingBranch, getID, getLabels, getLineIndex, getLineNo, getLinkedNode, getNext, getPrevious, idIsValid, isAbove, reinsert, setID, setLabels`

Methods inherited from class info.bioinfweb.treegraph.document.ConcretePaintableElement
`getPosition`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface info.bioinfweb.treegraph.document.PaintableElement
`getPosition, setFormats`

Constructor Detail

### GraphicalLabel

    public GraphicalLabel(Labels labels)

Method Detail

### getFormats

    public abstract GraphicalLabelFormats getFormats()

  Specified by:
    `getFormats` in interface `PaintableElement`
  Specified by:
    `getFormats` in class `Label`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD